/*
     $Revision$
     $Id$

     File:        FacmgtTools.js
     Description: Wordt geinjecteerd in elke FacMgt html
     Parameters:
     Context:
     Note:

*/


$(function () {
        onloadFacMgt();
    }
);

// Vervang alle Facmgt onclick's door 'openDetail'
// maar alleen in de dataregels, niet in de paginering
// Maakt ook eventueel vertaal linkjes
function onloadFacMgt(translate_lcls)
{
    // if (window.location.href.match(/\_Page\=/)) // Uitsluitend als we op een vervolgpagina zitten!
    {
        $('td.DataTD>a').click(function()
            {   // nameProp is IE, href is FF
                FcltMgr.openDetail("appl/facmgtvb/"+(this.nameProp||this.getAttribute("href")), this.innerText||this.textContent )
                return false;
            })
    }

    // (Ook) geen vertaallinkjes als we niet in frames zitten, te lastig
    if (!window.multi_language_option || !window.parent || window.parent == window)
        return;

    // (Ook) niet bij toevoegen
    if ($("input[name=FormAction][value=insert]").length)
        return;

    // Vertaal linkjes maken */
    var fname = window.location.href.split("/")[window.location.href.split("/").length-1].split("?")[0];
    for (var i in facmgt_lcls[fname])
    {
        var nm = facmgt_lcls[fname][i].toUpperCase();
        $("input[name="+nm+"],textarea[name="+nm+"]").each(function()
        {
            // zoek het label er bij, die maken we klikbaar
            var lbl = $(this).closest("tr").find(".FieldCaptionTD");

            lbl.addClass("facmgtmultilang")
               .click(function ()
                {
                    // zoek de key uit de url
                    var urlparams = window.location.search.substr(1).split("&");
                    // we gokken dat de eerste de key is
                    var key = urlparams[0].split("=")[1];
                    if (key > 0)
                    {
                        // Zoek eerstvolgende <input> type text
                        var inp = $(this).closest("tr").find("textarea,input[type=text]");
                        var url = "../fac/fac_locale_data.asp?kolomnaam="+inp[0].name+"&kolomkeyval=" + key
                                +  "&kolomkeydata=" +escape(inp.val())
                                +  "&lbl=" +escape($(this).text())
                                +  "&typ=" +inp[0].tagName;
                        //var url = "../fac/fac_locale_list.asp?sString="+inp[0].name+"&extrakey=" + key;
                       // Onze Facmgt's hebben geen Fcltheader.Generate en dus geen
                       // window.LCL = {}; Daarom pakken de de L() lekker lui uit de parent
                       // Zou fout gaan zonder frames (touch=1) maar dan komen de vertaallinkjes toch niet.
                       parent.FcltMgr.openModalDetail(url, parent.L("lcl_lcl_vertaling") );
                    }
                });
        })
    }
}